<?php
require("../../class/connect.php");
require("../../class/q_functions.php");
require("../../data/dbcache/class.php");
require("../../member/class/user.php");
require('../class/ShopSysFun.php');
eCheckCloseMods('shop');//關閉模塊
$link=db_connect();
$empire=new mysqlquery();
$editor=1;
$shoppr=ShopSys_ReturnSet();
//驗證權限
ShopCheckAddDdGroup($shoppr);
$addressid=(int)$_GET['addressid'];
//用戶信息
$user=array();
$useraddr=array();
$user['userid']=0;
$email='';
if(getcvar('mluserid'))
{
	$user=islogin();
	//地址
	$addressr=ShopSys_GetAddress($addressid);
	if($addressr['addressid'])
	{
		$email=$addressr['email'];
		$useraddr=$addressr;
	}
	else
	{
		$email=$user['email'];
		$useraddr=$empire->fetch1("select * from {$dbtbpre}enewsmemberadd where userid='".$user['userid']."'".do_dblimit_one());
		if(empty($useraddr['phone']))
		{
			$useraddr['phone']=$user['phno'];
		}
	}
}
//導入模板
include(ECMS_PATH.'e/template/ShopSys/order.php');
db_close();
$empire=null;
?>